<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Elements_Legend_X.php 123 2009-06-19 08:57:39Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

require_once PATH_OFC.'/Elements/OFC_Elements_Base.php';

/**
 * @package		OpenFlashCharts
 */
class OFC_Elements_Legend_X extends OFC_Elements_Base
{
	/**
	 * Constructor
	 *
	 * @param	string	The text for the legend (title for the X-Axis)
	 */
	public function __construct($text, $style = null)
	{
		parent::__construct();

		$this->text		= $text;
		if ($style) {
			$this->style	= $style;
		}
	}

	/**
	 * Sets the font style for the X-Axis legend
	 *
	 * @param	string	A CSS style for the font.
	 */
	function set_style($value)
	{
		$this->style = $value;
	}
}
